const path = require('path')

function resolve(dir) {
  return path.join(__dirname, dir)
}
var appData = require('./json/video.json')//加载本地数据文件

// vue.config.js
module.exports = {
  /*
    Vue-cli3:
    Crashed when using Webpack `import()` #2463
    https://github.com/vuejs/vue-cli/issues/2463
   */
  // 如果你不需要生产环境的 source map，可以将其设置为 false 以加速生产环境构建。
  productionSourceMap: false,
  /*
  pages: {
    index: {
      entry: 'src/main.js',
      chunks: ['chunk-vendors', 'chunk-common', 'index']
    }
  },
  */
  configureWebpack: {},

  chainWebpack: (config) => {
    config.resolve.alias
      .set('@$', resolve('src'))
      .set('@api', resolve('src/api'))
      .set('@assets', resolve('src/assets'))
      .set('@comp', resolve('src/components'))
      .set('@views', resolve('src/views'))
      .set('@layout', resolve('src/layout'))
      .set('@static', resolve('src/static'))
  },

  css: {
    loaderOptions: {
      less: {
        modifyVars: {
          /* less 变量覆盖，用于自定义 ant design 主题 */

          /*
          'primary-color': '#F5222D',
          'link-color': '#F5222D',
          'border-radius-base': '4px',
          */
        },
        javascriptEnabled: true,
      }
    }
  },

  devServer: {
    port: 3000,
    proxy: {
      /* '/api': {
         target: 'https://mock.ihx.me/mock/5baf3052f7da7e07e04a5116/antd-pro', //mock API接口系统
         ws: false,
         changeOrigin: true,
         pathRewrite: {
           '/jeecg-boot': ''  //默认所有请求都加了jeecg-boot前缀，需要去掉
         }
       },*/
      '/jeecg-boot': {
        // target: 'http://39.97.120.42:8080', //请求本地 需要jeecg-boot后台项目  生产环境
        // target: 'http://192.168.1.23:8080', //请求本地 需要jeecg-boot后台项目  蒙蒙
        // target: 'http://192.168.1.22:8080', //请求本地 需要jeecg-boot后台项目  英豪
        // target: 'http://192.168.0.111:8080', //请求本地 需要jeecg-boot后台项目  英豪
        // target: 'http://192.168.1.103:8080', //请求本地 需要jeecg-boot后台项目
        // target: 'http://192.168.2.115:8080', //请求本地 需要jeecg-boot后台项目  祚云
        // target: 'http://192.168.1.54:8080', //请求本地 需要jeecg-boot后台项目  孙震
        // target: 'http://192.168.1.165:8088', //请求本地 需要jeecg-boot后台项目  毕洁泉
        target: 'http://192.168.1.165:8848', //请求本地 需要jeecg-boot后台项目  毕洁泉
        // target: 'http://192.168.1.251:80', //请求本地 需要jeecg-boot后台项目 
        ws: false,
        changeOrigin: true
      },
    },
    // before(app) {
    //     app.get('/seller', (req, res) => {
    //         res.json({
    //           errno: 0,
    //           data: appData
    //         })//接口返回json数据，上面配置的数据seller就赋值给data请求后调用
    //     })
    // }
  },

  lintOnSave: undefined
}